Summary: ARPSniff daemon
Name: arpsniff
Version: 0.9.1
Release: 1
License: GPL
Source: http://kmlinux.fjfi.cvut.cz/~vokac/activities/%{name}/%{name}-%{version}.tar.gz
Group: Networking/Daemons
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires:       libpcap >= 0.6
BuildRequires:  libpcap >= 0.6
BuildRequires:  openssl-devel

%description

This is daemon that collect ARP request on local subnet. You can
access them using SSL connection.


%prep
%setup


%build
make


%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"

#install -p -D -m644 arpsniff.conf $RPM_BUILD_ROOT%{_sysconfdir}/arpsniff.conf
install -p -D -m755 arpsniff.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/arpsniff
install -p -D -m600 arpsniff.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/arpsniff
install -p -D -m755 arpsniff $RPM_BUILD_ROOT%{_sbindir}/arpsniff
#install -p -D -m755 arpsniff.py $RPM_BUILD_ROOT%{_bindir}/arpsniff.py


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%post
#exec &>/dev/null
# Adding arpsniff config
if [ $1 = 2 ]; then # upgrade
  # restart arpsniff
  /etc/init.d/arpsniff restart || true
else # install
  if [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --add arpsniff
    #/sbin/chkconfig --level 2345 arpsniff
  fi
  # start arpsniff
  /etc/init.d/arpsniff start || true
fi

%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  if [ -x /sbin/chkconfig ]; then
    /etc/init.d/arpsniff stop
    /sbin/chkconfig --del arpsniff
  fi
fi


%files
%defattr(-,root,root)
%doc NEWS README TODO arpsniff.conf arpsniff.py
#%config(noreplace) %{_sysconfdir}/arpsniff.conf
%{_sysconfdir}/init.d/arpsniff
%{_sysconfdir}/sysconfig/arpsniff
%{_sbindir}/*
#%{_bindir}/*


%changelog
* Wed Apr 26 2006 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.1-1
- initial release
